Package org.eclipse.m2m.atl.engine.vm.nativelib

## Class ASMSequence

- java.lang.Object
- - org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject
  - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny
    - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMCollection
      - - org.eclipse.m2m.atl.engine.vm.nativelib.ASMSequence

    public class ASMSequence
    extends ASMCollection

### Field Summary

Fields
`static ASMOclType` `myType`

### Fields inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`nativeImpl`

### Constructor Summary

Constructors
`ASMSequence()`
`ASMSequence​(java.util.Collection init)`
`ASMSequence​(ASMSequence init)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `add​(int index, ASMOclAny o)`
`void` `add​(java.util.Iterator i)`
`void` `add​(ASMOclAny o)`
`static ASMSequence` `append​(StackFrame frame, ASMSequence self, ASMOclAny o)`
`static ASMSequence` `asSequence​(StackFrame frame, ASMSequence self)`
`static ASMOclAny` `at​(StackFrame frame, ASMSequence self, ASMInteger i)`
`java.util.Collection` `collection()`
`boolean` `equals​(java.lang.Object o)`
`static ASMSequence` `excluding​(StackFrame frame, ASMSequence self, ASMOclAny o)`
`static ASMOclAny` `first​(StackFrame frame, ASMSequence self)`
`static ASMSequence` `flatten​(StackFrame frame, ASMSequence self)`
`int` `hashCode()`
`static ASMSequence` `including​(StackFrame frame, ASMSequence self, ASMOclAny o)`
`static ASMInteger` `indexOf​(StackFrame frame, ASMSequence self, ASMOclAny o)`
`static ASMSequence` `insertAt​(StackFrame frame, ASMSequence self, ASMInteger index, ASMOclAny o)`
`java.util.Iterator` `iterator()`
`static ASMOclAny` `last​(StackFrame frame, ASMSequence self)`
`static ASMSequence` `prepend​(StackFrame frame, ASMSequence self, ASMOclAny o)`
`static ASMSequence` `subSequence​(StackFrame frame, ASMSequence self, ASMInteger lower, ASMInteger upper)`
`java.lang.String` `toString()`
`static ASMSequence` `union​(StackFrame frame, ASMSequence self, ASMCollection other)`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMCollection

`asBag, asOrderedSet, asSequence, asSet, count, excludes, excludesAll, get, includes, includesAll, isEmpty, notEmpty, size, size, sum`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMOclAny

`asBag, asSequence, asSet, check, debug, findOperation, findOperation, getHelper, getNamedTargetFromSource, getOclAnyType, getType, invoke, invoke, invokeSuper, isHelper, oclIsKindOf, oclIsTypeOf, oclIsUndefined, oclType, operatorEQ, operatorNE, output, refGetValue, refImmediateComposite, refImmediateComposite, refInvokeOperation, refSetValue, refUnsetValue, set, setType, toString, unset`

### Methods inherited from class org.eclipse.m2m.atl.engine.vm.nativelib.ASMNativeObject

`getNativeImpl`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### myType

    public static ASMOclType myType

### Constructor Detail

#### ASMSequence

    public ASMSequence()

#### ASMSequence

    public ASMSequence​(ASMSequence init)

#### ASMSequence

    public ASMSequence​(java.util.Collection init)

### Method Detail

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### add

    public void add​(ASMOclAny o)

Specified by:
  `add` in class `ASMCollection`

#### add

    public void add​(int index,
                    ASMOclAny o)

#### add

    public void add​(java.util.Iterator i)

#### iterator

    public java.util.Iterator iterator()

Specified by:
  `iterator` in class `ASMCollection`

#### collection

    public java.util.Collection collection()

Specified by:
  `collection` in class `ASMCollection`

#### equals

    public boolean equals​(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`

#### union

    public static ASMSequence union​(StackFrame frame,
                                    ASMSequence self,
                                    ASMCollection other)

#### flatten

    public static ASMSequence flatten​(StackFrame frame,
                                      ASMSequence self)

#### append

    public static ASMSequence append​(StackFrame frame,
                                     ASMSequence self,
                                     ASMOclAny o)

#### prepend

    public static ASMSequence prepend​(StackFrame frame,
                                      ASMSequence self,
                                      ASMOclAny o)

#### insertAt

    public static ASMSequence insertAt​(StackFrame frame,
                                       ASMSequence self,
                                       ASMInteger index,
                                       ASMOclAny o)

#### subSequence

    public static ASMSequence subSequence​(StackFrame frame,
                                          ASMSequence self,
                                          ASMInteger lower,
                                          ASMInteger upper)

#### at

    public static ASMOclAny at​(StackFrame frame,
                               ASMSequence self,
                               ASMInteger i)

#### indexOf

    public static ASMInteger indexOf​(StackFrame frame,
                                     ASMSequence self,
                                     ASMOclAny o)

#### first

    public static ASMOclAny first​(StackFrame frame,
                                  ASMSequence self)

#### last

    public static ASMOclAny last​(StackFrame frame,
                                 ASMSequence self)

#### including

    public static ASMSequence including​(StackFrame frame,
                                        ASMSequence self,
                                        ASMOclAny o)

#### excluding

    public static ASMSequence excluding​(StackFrame frame,
                                        ASMSequence self,
                                        ASMOclAny o)

#### asSequence

    public static ASMSequence asSequence​(StackFrame frame,
                                         ASMSequence self)